# Logistic Regressioin

install.packages("aod")
install.packages("ggplot2")
library(aod)
library(ggplot2)

mydata_omit$location = factor(mydata_omit$location)
mydata_omit$gender = factor(mydata_omit$gender)
mydata_omit$frame = factor(mydata_omit$frame)
mydata_omit$Y = factor(mydata_omit$Y)

mylogit = glm(Y ~ location+gender+frame,data=mydata_omit,family="binomial")
summary(mylogit)

yhat = predict(mylogit, newdata = mydata, type="response")
compdata = data.frame (mydata, yhat)
head(compdata)

exp(coef(mylogit))

# Write data file for SPSS input

write.table(newdata, "c:/diabetes.txt",sep="\t")




