proc import out = single
datafile = "C:\Hotelling Single.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = single;
run;

proc iml; use single;
read all var _NUM_ into x;
n = 10;
p = 2;
meanvec = {-4.9 4.4};
S = cov(x);
T2 = n*(meanvec) * inv(S) * (meanvec)` ;
F = (n-p)/((n-1)*p)*T2;  
pvalue = 1-ProbF(F,p,(n-p));
print T2 F pvalue;
run;
