proc import out = factor
datafile = "C:\oneway.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = factor;
run;

proc means data = factor mean std min max;
class V1 V2;
var V3 V4;
run;

proc univariate data = factor normal;
by V1; var V3 V4;
run:
proc univariate data = factor normal;
by V2; var V3 V4;
run:


proc glm data = factor;
class V1 V2;
model V3 V4 = V1 V2 V1*V2;
means V1 V2 / hovtest welch; 
run;

