attach(cars)
options(scipen=999)
model3-lm(speed ~ poly(dist, degree = 1 to 4),data=cars)
summary(model3)

model_lm <- lm(speed ~ dist, data = cars)
model_lm2 <- lm(speed ~ dist + I(dist^2), data = cars)

new.data <- data.frame(dist = seq(from = min(cars$dist),
                                 to = max(cars$dist), length.out = 200))

pred_lm <- predict(model_lm, newdata = new.data)
pred_lm2 <- predict(model_lm2, newdata = new.data)

plot(speed ~ dist, data = cars)
lines(pred_lm ~ new.data$dist, lty=1)
lines(pred_lm2 ~ new.data$dist, lty=2)
legend("topleft", c("linear = solid","quadratic = dash"))