# Install MASS package

install.packages("MASS")
library(MASS)

# Create variable vectors

count=c(31,109,17,122)
trt = gl(2,2,4)
response = gl(2,1,4)

# Set categorical variables as factors

trt = factor(trt)
response = factor(response)

# Create data frame and print data

logdata = data.frame(trt, response, count)
logdata
 
 
options(scipen=999)
logout = loglm(count ~ trt + response, data = logdata, fit=TRUE)
summary(logout)



