proc import out = mancova
datafile = "C:\mancova.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = mancova;
run;
quit;

proc means data = mancova;
var Postcomp Posthior;
class GPID;
run;

proc glm data = mancova;
class GPID;
model Postcomp Posthior = GPID Precomp / solution;
lsmeans GPID / stderr pdiff cov out=adjmeans;
run;
proc print data = adjmeans;
run;
quit;
