proc import out = profile
datafile = "C:\profile.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = profile;
run;

proc glm data = profile;
class names;
model RD DT TS = names /nouni;
manova h = names;
run;

data new;
input grp $ names $ avg ;
cards;
belly read 6.6
politic read 5.0
admin read 5.0
belly dance 9.4
politic dance 4.8
admin dance 2.0
belly tv 5.8
politic tv 5.2
admin tv 1.8
belly ski 7.4
politic ski 5.0
admin ski 3.8
proc print data = new;
run;

title "Plot of Means";
proc sgplot data = new;
series x = names y = avg / group = grp;
run;
title;





