proc import out = polygrp
datafile = "C:\polydiscrim.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = polygrp;
run;

proc candisc data = polygrp;
class Group;
var Actions Thoughts;
run;

data new; set polygrp;
class = (.603 * Actions) + ( -.335 * Thoughts);
if class > -2.0 then predict = 1; 
else if -2.0 > class > -3.0 then predict = 2; 
else predict = 3;
proc print;
 proc freq ; tables group * predict /chisq norow nocol;
run;
quit;

