proc import out = twogrp
datafile = "C:\2grpdiscrim.xlsx"
dbms=xlsx replace;
getnames = yes;
proc print data = twogrp;
run;

proc candisc;
class group;
var math english;
run;

data new; set twogrp;
class = (.63 * math) + ( -.1109*english);
if class < 3 then predict = 1; else predict = 2;
proc freq ; table group * predict /chisq norow nocol;
proc print;
run;

